# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'zapnito/cli/version'

Gem::Specification.new do |spec|
  spec.name          = "zapnito-cli"
  spec.version       = Zapnito::Cli::VERSION
  spec.authors       = ["opsb"]
  spec.email         = ["olly@zapnito.com"]

  spec.summary       = %q{Command line tools for Zapnito}
  spec.description   = %q{Includes commands for managing Zapnito themes}
  spec.homepage      = "https://github.com/opsb/zapnito-cli"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "thor", "0.19.1"
  spec.add_dependency "rest-client", "2.0.0.rc2"
  spec.add_dependency "launchy", "2.4.3"
  spec.add_dependency "mime-types", "2.99.1"
  spec.add_dependency "netrc", "0.11.0"
  spec.add_dependency "domain_name", "0.5.20160310"
  spec.add_dependency "addressable", "2.4.0"
  spec.add_dependency "unf", "0.1.4"
  spec.add_dependency "unf_ext", "0.0.7.2"
  spec.add_dependency "activesupport", "4.2.6"
  spec.add_dependency "highline", "1.7.8"
  spec.add_dependency "configatron", "4.5.0"
  spec.add_dependency "json", "1.8.3"
  spec.add_dependency "thread_safe", "0.3.4"
  spec.add_dependency "minitest", "5.1"
  spec.add_dependency "ruby-try", "1.1.1"

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
